CacheConfig (Solr 3.6.2 API)
Keywords: org.apache.solr.search.CacheConfig class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search
Class CacheConfig

    java.lang.Object
      org.apache.solr.search.CacheConfig

    public class CacheConfig

extends Object

Contains the knowledge of how cache config is stored in the solrconfig.xml file, and implements a factory to create caches.

Version:
  $Id: CacheConfig.java 818808 2009-09-25 10:24:58Z shalin $

Constructor Summary
`CacheConfig()`
`CacheConfig(Class clazz, Map<String,String> args, CacheRegenerator regenerator)`

Method Summary
`static CacheConfig` | `getConfig(SolrConfig solrConfig, Node node)`
`static CacheConfig` | `getConfig(SolrConfig solrConfig, String xpath)`
`static CacheConfig[]` | `getMultipleConfigs(SolrConfig solrConfig, String configPath)`
`CacheRegenerator` | `getRegenerator()`
`SolrCache` | `newInstance()`
`void` | `setRegenerator(CacheRegenerator regenerator)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheConfig

    public CacheConfig()

### CacheConfig

    public CacheConfig(Class clazz,
                       Map<String,String> args,
                       CacheRegenerator regenerator)

Method Detail

### getRegenerator

    public CacheRegenerator getRegenerator()

### setRegenerator

    public void setRegenerator(CacheRegenerator regenerator)

### getMultipleConfigs

    public static CacheConfig[] getMultipleConfigs(SolrConfig solrConfig,
                                                   String configPath)

### getConfig

    public static CacheConfig getConfig(SolrConfig solrConfig,
                                        String xpath)

### getConfig

    public static CacheConfig getConfig(SolrConfig solrConfig,
                                        Node node)

### newInstance

    public SolrCache newInstance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD